splitpatch(1)

NAME
splitpatch - split a patch up into files or hunks

SYNOPSIS
  splitpatch [options]

DESCRIPTION
Divide a patch or diff file into pieces. The split can made by file or by hunk basis. This makes is possible to separate changes that might not be desirable, or assemble a patch into more coherent set of changes.

The hunk option makes it possible to compare similar patches on a hunk-by-hunk basis using a tool like interdiff(1) from the patchutils package.

OPTIONS

-H, --hunk, --hunks
    Split patch by hunks instead of the default: by file.

-h, --help
    Display help and exit

-V, --version
    Output version information and exit.

EXAMPLES
Have you ever been working on code, gone off on a side tangent and then realized you don't have a patch for the original issue you set out to address? When you run "diff -u" or some other diff command, you discover that you have made multiple sets of changes; some you want to submit, others you don't. What you really want to do is break those changes apart and apply only the ones you want. This is where splitpatch comes into play, breaking up the patch by source file:

    splitpatch changes.patch

Or to split the patch file into individual hunks which can later be applied using the patch(1) command:

    splitpatch --hunks changes.patch

ENVIRONMENT
None.

FILES
The --hunk option writes sequentially numbered files in the current directory named for the source file to be patched followed by the sequence number: "*-NNN.patch".

Otherwise, the split patch files are named by the source file being patched.

STANDARDS
None.

AVAILABILITY
https://github.com/benjsc/splitpatch

SEE ALSO
dehtmldiff(1) editdiff(1) filterdiff(1) fixcvsdiff(1) flipdiff(1) grepdiff(1) interdiff(1) lsdiff(1) patch(1) recountdiff(1) rediff(1) splitdiff(1) unwrapdiff(1) wiggle(1)

AUTHORS
Program was written by Peter Hutterer <peter@cs.unisa.edu.au>.

This manual page was written by Jari Aalto <jari.aalto@cante.net>. Released under license GNU GPL version 2 or (at your option) any later version. For more information about the license, visit <http://www.gnu.org/copyleft/gpl.html>.